# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from django import forms
from django.core.validators import RegexValidator


class EligibilityForm(forms.Form):
    phone_number = forms.CharField(max_length=20,
                                   label='Numéro de téléphone')
    postal_code = forms.CharField(max_length=5,
                                  label='Code postal',
                                  validators=[
                                      RegexValidator(regex=r'^\d{5}$',
                                                     message='Code postal '
                                                             'non valide.')
                                      ],
                                  )


class FDNWhiteLabelForm(forms.Form):
    offer_type = forms.ChoiceField(choices=tuple())
    address = forms.CharField(label='adresse postale')
    city = forms.CharField(max_length=200, label='commune')
