# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from django.shortcuts import render
from formtools.wizard.views import SessionWizardView

from .forms import EligibilityForm, FDNWhiteLabelForm
from .models import FDNWhiteLabel


class ConfigCreationFormView(SessionWizardView):

    form_list = [EligibilityForm, FDNWhiteLabelForm]

    def get_form_initial(self, step):
        if step == '1':
            form_data = self.get_cleaned_data_for_step('0')
            white_label = FDNWhiteLabel()
            white_label.phone_number = form_data['phone_number']
            white_label.postal_code = form_data['postal_code']
            eligibility = white_label.check_eligibility()

    def done(self, form_list, **kwargs):
        return render(self.request, 'fdnwhitelabel/done.html', {
            'form_data': [form.cleaned_data for form in form_list],
        })
